name: canonical-livepatch
version: 10.9.0
summary: Canonical Livepatch Client
description: Canonical Livepatch Client
architectures:
- amd64
base: core22
apps:
  canonical-livepatchd:
    command: canonical-livepatchd
    daemon: simple
    restart-condition: on-failure
    plugs:
    - network-bind
    - network-control
    - kernel-module-control
    - system-observe
    - hardware-observe
    - network-manager
    - hostfs-var-local-canonical-livepatch-mode
    - system-packages-doc
    - run-cloud-init-instance-data-json
  canonical-livepatch:
    command: canonical-livepatch
    plugs:
    - network-bind
    - network-control
    - kernel-module-control
    - system-observe
    - hardware-observe
confinement: strict
grade: stable
environment:
  LD_LIBRARY_PATH: ${SNAP_LIBRARY_PATH}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
  PATH: $SNAP/usr/sbin:$SNAP/usr/bin:$SNAP/sbin:$SNAP/bin:$PATH
plugs:
  etc-update-motd-d:
    interface: system-files
    write:
    - /etc/update-motd.d/99-livepatch-kernel-upgrade-required
  hostfs-var-local-canonical-livepatch-mode:
    interface: system-files
    read:
    - /var/lib/snapd/hostfs/var/local/canonical_livepatch_mode
  run-cloud-init-instance-data-json:
    interface: system-files
    read:
    - /run/cloud-init/instance-data.json
hooks:
  connect-plug-etc-update-motd-d:
    plugs:
    - etc-update-motd-d
  disconnect-plug-etc-update-motd-d:
    plugs:
    - etc-update-motd-d
  post-refresh:
    plugs:
    - etc-update-motd-d
  remove:
    plugs:
    - etc-update-motd-d
